# frozen_string_literal: true

class SendContactEmailJob < ApplicationJob
  queue_as :default

  def perform(consult_email_id)
    consultation_email = ConsultationEmail.where(id: consult_email_id).first
    return if consultation_email.blank?

    NotifyEmailMailer.with(email: consultation_email).contact_dotation.deliver
  end
end
